#pragma once

#include <mutex>
#include <condition_variable>

class ZCSignal
{
public:
	ZCSignal();
	~ZCSignal();

	void Send();
	void Wait();

private:
	std::mutex m_mtx;
	std::condition_variable m_cond;
};